# Kubernetes Code of Conduct Committee Elections

This document outlines the process, for Code of Conduct Committee (CoCC) elections.

### Length of Terms

* The CoCC consists of 5 members. In the first election, the top 3 voted people will be appointed for 2 year terms and the other 2 members will be appointed for a 1 year term.
* In all subsequent elections the term will be for 2 years.
* In alternating years either 2 or 3 seats will be up for election as terms expire.

### Eligibility for voting

* Voting will be done by members of the steering committee.
* A member of the steering committee who is also a nominee for the code of conduct committee is not eligible to vote.

### Eligibility for candidacy

* Candidate commits to putting the interests of the community above the interests of their employer for all Code of Conduct Committee activities.
* Is generally a responsible human
* Does not have to be part of the Kubernetes or CNCF community
* Characteristics which would be nice in any nominations:
  * Previous experience on an Ethics Committee or Code of Conduct Committee is appreciated
  * Has demonstrated integrity, professionalism, and positive influence within the community is appreciated
  * Experience with the tools which we use to communicate (Zoom, Slack, GitHub, etc.) within the Kubernetes community is appreciated

### Election process

The steering committee will announce a request for nominations some time in July from anyone meeting the [eligibility for candidacy](#eligibility-for-candidacy) guidelines.

The steering committee will accept nominations for at least 1 week. Though the steering
committee may choose to accept nominations for longer. Once the announced nomination
period ends, steering committee will hold an election using [Elekto](https://elections.k8s.io/)
and will publicly announce the results of the election.

#### Nomination process

Nominations can be collected via any means. In the past a Google form has been used to collect nominations. The form had the following questions which may be used as a template for subsequent elections:
* Email Address (required)
* Name of Nominee (required)
* Email address of Nominee (required)
* Why would you like to nominate this person for the Code of Conduct Committee? (required)
* Does the nominee have any experience serving on an Ethics Committee or Code of Conduct Committee? (required)
* How has this nominee demonstrated the [eligibility for candidacy](#eligibility-for-candidacy) guidelines? (optional)

The nomination form must be communicated via email to [kubernetes-dev] mailing list.

Prior to the voting process, Steering must:
* Vet that all nominees support the role of the code of conduct committee, i.e. maintaining a safe and inclusive space for everyone to work on Kubernetes.
* Confirm with all nominees (that were not self nominations) that they accept the nomination.

#### Voting Process

The steering committee will setup an election and ensure that the election is open for a duration such that all members can vote.

Sample PR for setting up the election: https://github.com/kubernetes/community/pull/7446

<!-- TODO(future): Discuss the possibility of surfacing candidate bios in public -->
<!-- TODO(future): Discuss the possibility of candidates nominating through GitHub similar to the Steering Committee Elections -->

#### Announcing Results

Once the elections are over, the steering committee will re-confirm with the winning
candidates their intent of serving in the committee and then only announce the
election results to [kubernetes-dev] mailing list.

### Maximal representation

Maximal representation of a single employer is `QUORUM - 1`. With a five person committee,
that limits the number of members employed by the same company to two.

### Election Cycles

Election cycles are scheduled such that roughly half of the seats come up for
re-election each year for purposes of continuity. The exact number of seats
alternates between 2 and 3. The elections by the steering committee should be
held and announced before the previous appointments expire (typically in Aug).

### Emeritus Term

There is no concept of an "Emeritus Term" with the CoCC. When a member vacates
their seat for any reason they will be removed from all conversations, e-mail
lists, historical data, and any other activities related to the CoCC.

### Vacancies

In the event of a resignation or other loss of an elected committee
member, the candidate with the next most votes from the previous election will
be offered the seat.  This process will continue until the seat is filled.

In case this fails to fill the seat, a special election for that position will
be held as soon as possible. Eligible voters from the most recent election
will vote in the special election (ie: eligibility will not be redetermined
at the time of the special election). A committee member elected in a special
election will serve out the remainder of the term for the person they are
replacing, regardless of the length of that remainder.

In the event that the committee votes to dissolve in its entirety an entirely
new special election will be held by the steering committee instead of filling
with names from the previous election. Those elected will complete the remaining
terms of the previous, dissolved, committee. With those receiving the highest
votes receiving the longest term.

[kubernetes-dev]: https://groups.google.com/a/kubernetes.io/g/dev
