# H1 2021 - Transparency Report

This document is a log of all code of conduct incidents occurring in Kubernetes community spaces. Information is anonymized to protect those involved in incidents. 


## Terms used in these reports

- **Incident report:** An incident report is a description of an action, event or public statement the reporter feels violates the Code of Conduct. For more information, see [Incident Reports](https://github.com/kubernetes/community/blob/master/committee-code-of-conduct/incident-process.md#incident-reports).  
- **Conduct action:** A conduct action is any action (restorative or punitive) taken by the Code of Conduct Committee or another body empowered by them (such as a direct action by Slack admins). 
- **Punitive conduct action:** A conduct action which removes (bans) a person from one or more community platform, such as Slack or GitHub, or removes them from a position they hold within the community (for example, asking a lead to step down).  

## Kubernetes Code of Conduct Transparency Report for H1

**Data collection period:** January 1, 2021 - June 30, 2021

**Incident reports by method reported:**

- Via conduct@kubernetes.org: 13
- Via Slack admins: 68
- Via GitHub admins: 2
- Via CNCF Events staff: 2
- Via other avenues: 0


**Total conduct incidents:** 85

**Incident reports determined to be CoC violations and which resulted in conduct action:** 

- By the Code of Conduct Committee: 3
- By Slack admins: 53
- By GitHub admins: 2
- By CNCF Events staff: 2
- By other groups (eg, SIG leads and CNCF staff): 4



**Total incidents which resulted in any conduct action:** 64  

**Total incidents which resulted in punitive conduct action:** 55  

**Total incidents which resulted in punitive conduct action by the Code of Conduct Committee or CNCF Events Staff:** 0 


**General comments:** 

The CoCC’s primary mission is creating and maintaining a safe and respectful community. Our role is to provide and enforce a well-considered viewpoint on what constitutes acceptable behavior within our community and provide restorative outcomes for incidents. The Steering Committee delegates this responsibility to the CoCC as they define, evolve, and defend the non-technical vision / mission and the values of the project.

In this reporting period we saw the following trends:


- Cross-project communication patterns weakening
- Responses to the Black Lives Matter banner on the Kubernetes website
- Responses to the addition of pronouns fields in Slack 
- Reports received were outside the scope of the Kubernetes Code of Conduct Committee for which no action could be taken
- Spam issues and comments on Slack and GitHub that did not involve Kubernetes GitHub organization members

All punitive actions taken were banning users for spam on either GitHub or Slack.

One trend of note in this period is many instances of weakening cross-project communications.  We encourage all parties in the project to prioritize broad communications and think about the positive technical and interpersonal implications of [inclusive, open decision making](https://github.com/kubernetes/community/blob/master/communication/README.md#decisions-are-made-here).

Additionally it is noteworthy to consider the mix of restorative and punitive responses to incident reports during this period.  In no case were punitive actions taken against members of the Kubernetes GitHub org.  In the cases of moderated communication platforms (eg: YouTube, Google Group mailing lists, Slack, GitHub), incident response is frequently punitive with egregious incidents resulting in a user banned from the platform, although these too generally involve 1:1 opportunity for the individual to self-correct, and again none were members of the Kubernetes GitHub org.  

The CoCC supports the community’s decisions with the BLM banner and addition of Slack pronouns.

We hope our first transparency report represents a stable baseline for future comparison. We anticipate that aspects of this report will evolve over time, as we improve our information gathering processes in future. 
