# Multichannel communications

The goal of this is to provide a clearer way for community members to share and consume Kubernetes information.

## Motive

Our motive is as follows:

* Provide all Kubernetes contributors with a dependable experience of communication to and from the project
* Find ways of adding our human touch to potentially overwhelming quantities of information
* Provide clear expectations on what’s important, urgent, or otherwise
* Build process like we build Kubernetes, so that our contributors understands it, and it works well at scale

## Outbound and inbound communications

All outbound communications will have a single source of truth in dev@kubernetes.io.

Justification for this canonical location:

* Per 2018 and 2019 survey results, it has grown in popularity as the one place to check for contributor news
* Highlighted in the contributor guide, SIG READMEs, governance documentation, and many other places

All other communication channels will point to that canonical location because we want to:

* Avoid having many places with partial information
* Avoid community member's needing to follow multiple places
* Avoid confusion on where to get the right information
* Create an easier process for information sharing

## Mapping Type to Tier

We have identified four (4) different tiers of information:

* **Action Required**
  * Participation is critical to the Kubernetes project and has a firm due date
  * Example 1: The Contributor Survey responses are due by $date
  * Example 2: Code freeze is at $date, get your code in!
  * Other release information should go through the release team
* **Priority Information**
  * Critical information to productive participation and community sustainability
  * Example 1: Updates on an upcoming steering committee election
  * Example 2: Changes in workflows, issue triaging, etc
* **Feedback Appreciated**
  * When participation is helpful, but not required by everyone in order to be successful
  * Example: Kubernetes Enhancement Proposals (KEPs)
* **In case you missed it (ICYMI)**
  * Information that is not urgent or priority, but will be interesting to others and worthwhile to highlight
  * Example: The monthly community & mentors meeting schedule

Based on these tiers, communication will flow through different channels and may be repeated as necessary.

## Channels of communication

These channels will be used for written communication and tips for using them effectively:

* dev@kubernetes.io
  * Single source of truth
  * Make sure you're not burying the lead, action items should be clearly stated
* Slack
  * Short blurb in related channels (see below) about the information on k-dev, linking to the canonical post
* Discourse
  * Short blurb in the related category about the information on k-dev, linking to the canonical post
* Twitter
  * Fire hose of information in 280 characters or fewer; items can be covered more than once

## Slack channels to be used

As Slack is a massive workspace for us it can sometimes be hard to know exactly where to put information. Here is the current list of contributor-focused channsl that we will post information to:

* #contributor-summit
* #meet-our-contributors
* #chairs-and-techleads

Regional channels:

* emea-dev (EMEA)
* in-dev (India)
* jp-dev (Japan)
* cn-dev (China)
* kr-dev (Korea)
* aus-nz-dev (Australia & New Zealand)

To find SIG-specific channels, check the Contact column in the [SIG list](https://github.com/kubernetes/community/blob/master/sig-list.md)

## Questions?

Have a question about what's written here or something else? Reach out to the [contributor-comms](../README.md)!
