---
title: "Moderator list"
alias: [ "/mods", "/moderators" ]
description: |
  A list of the current communication property moderators and the timezones
  they cover.
---

<!-- omit in toc -->
# Community Moderators

The following people are responsible for moderating/administrating Kubernetes
communication channels and their home time zone. See our
[moderation guidelines] for policies and recommendations.

- [Mailing Lists](#mailing-lists)
  - [kubernetes-dev](#kubernetes-dev)
    - [Administrators](#administrators)
    - [Primary Moderators](#primary-moderators)
    - [Moderators Pro Tempore](#moderators-pro-tempore)
- [GitHub](#github)
- [Discuss](#discuss)
  - [Administrators](#administrators-1)
  - [Regional Category Moderators](#regional-category-moderators)
- [YouTube Channel](#youtube-channel)
  - [Owners](#owners)
  - [Primary Moderators](#primary-moderators-1)
  - [Backup Moderators](#backup-moderators)
- [Slack](#slack)
  - [Owner](#owner)
  - [Moderators](#moderators)
  - [Moderators Pro Tempore](#moderators-pro-tempore-1)
- [Zoom](#zoom)

## Mailing Lists

### kubernetes-dev

#### Administrators

Administrator seats: 3

| Name                | Kubernetes Slack ID | Region   | Timezone                                                |
| ------------------- | ------------------- | -------- | ------------------------------------------------------- |
| Aaron Crickenberger | @spiffxp            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Davanum Srinivas    | @dims               | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |

#### Primary Moderators

Primary moderators seats: 6

| Name                | Kubernetes Slack ID | Region   | Timezone                                                |
| ------------------- | ------------------- | -------- | ------------------------------------------------------- |
| Bob Killen          | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Carlos Panato       | @cpanato            | EMEA     | [CET - Central European Time](https://time.is/CET)      |
| Ihor Dvoretskyi     | @ihor.dvoretskyi    | EMEA     | [EET - Eastern European Time](https://time.is/EET)      |
| Jaice Singer DuMars | @jdumars            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Nabarun Pal         | @palnabarun         | APAC     | [IST - Indian Standard Time](https://time.is/India)     |
| Nikhita Raghunath   | @nikhita            | APAC     | [IST - Indian Standard Time](https://time.is/India)     |

#### Moderators Pro Tempore

Moderators pro tempore seats: 5

| Name                | Kubernetes Slack ID | Region | Timezone                                            |
| --------------------| ------------------- | ------ | --------------------------------------------------- |
| Atharva Shinde      | @Atharva Shinde     | APAC   | [IST - Indian Standard Time](https://time.is/India) |
| Debabrata Panigrahi | @deba               | APAC   | [IST - Indian Standard Time](https://time.is/India) |
## GitHub

Note that this team is not only responsible for the project's Github
administration, but also moderation of issues, PRs, etc.

- [GitHub Administration Team]

## Discuss

### Administrators

Administrators seats: 4

| Name         | Kubernetes Discuss ID | Region   | Timezone                                                |
| ------------ | --------------------- | -------- | ------------------------------------------------------- |
| Bob Killen   | @mrbobbytables        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Chris Carty  | @cartyc               | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jorge Castro | @castrojo             | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Josh Berkus  | @jberkus              | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Rael Garcia  | @raelga               | Europe   | [CET - Central European Time](https://time.is/CET)      |
| Marky Jackson| @markyjackson-taulia  | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |

Note, due to how the software is designed, dedicated moderators are not required
for discuss, the [trust system] in place allows for self moderation. In this
case administrators act as exception handlers. Regional moderators are required
for language/cultural reasons, (ie. we can't expect a community member who
doesn't speak a language to be able to effectively moderate).

### Regional Category Moderators

Regional category moderators seats (per category): 3

**[Chinese]**

| Name                    | Kubernetes Discuss ID | Region | Timezone                                           |
| ----------------------- | --------------------- | ------ | -------------------------------------------------- |
| Peter (Xiang Peng) Zhao | @xiangpengzhao        | APAC   | [CST - China Standard Time](https://time.is/China) |
| Yang Li                 | @idealhack            | APAC   | [JST - Japan Standard Time](https://time.is/Japan) |
| Puja Abbassi            | @puja                 | EMEA   | [CET - Central European Time](https://time.is/CET) |

**[German]**

| Name               | Kubernetes Discuss ID | Region | Timezone                                           |
| ------------------ | --------------------- | ------ | -------------------------------------------------- |
| Puja Abbassi       | @puja                 | EMEA   | [CET - Central European Time](https://time.is/CET) |
| Michael Hausenblas | @mhausenblas          | EMEA   | [WET - Western European Time](https://time.is/WET) |

**[Italian]**

| Name             | Kubernetes Discuss ID | Region | Timezone                                           |
| ---------------- | --------------------- | ------ | -------------------------------------------------- |
| Jacopo Nardiello | @jnardiello           | EMEA   | [CET - Central European Time](https://time.is/CET) |
| _Open_           | _Open_                |        |                                                    |

**[Spanish]**

| Name        | Kubernetes Discuss ID | Region | Timezone                                           |
| ----------- | --------------------- | ------ | -------------------------------------------------- |
| Rael Garcia | @rael                 | EMEA   | [CET - Central European Time](https://time.is/CET) |
| _Open_      | _Open_                |        |                                                    |

**[Ukrainian]**

| Name            | Kubernetes Discuss ID | Region | Timezone                                           |
| --------------- | --------------------- | ------ | -------------------------------------------------- |
| Ihor Dvoretskyi | @idvoretskyi          | EMEA   | [EET - Eastern European Time](https://time.is/EET) |
| _Open_          | _Open_                |        |                                                    |

**[Hindi]**

| Name            | Kubernetes Discuss ID | Region   | Timezone                                                |
| --------------- | --------------------- | -------- | ------------------------------------------------------- |
| Jayesh Mahajan  | @jayeshmahajan        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| _Open_          | _Open_                |          |                                                         |

## YouTube Channel

### Owners

Email: contributors@kubernetes.io

### Primary Moderators

Moderators seats: 6

| Name                | Kubernetes Slack ID   | Region   | Timezone                                                |
| ------------------- | --------------------- | -------- | ------------------------------------------------------- |
| Chris Short         | @chrisshort           | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Nigel Brown         | @nigel                | Americas | [CT - Central Time (US Central)](https://time.is/CT)    |
| Pritish Samal       | @Pritish              | APAC     | [IST - Indian Standard Time](https://time.is/IST)       |
| Chad Crowell        | @chadmcrowell         | Americas | [CT - Central Time (US Central)](https://time.is/CT)    |
| _Open_              | _Open_                | _Open_   | _Open_                                                  |

### Backup Moderators

| Name                | Kubernetes Slack ID   | Region   | Timezone                                                |
| ------------------- | --------------------- | -------- | ------------------------------------------------------- |
| Jeffrey Sica        | @jeefy                | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen          | @mrbobbytables        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Taylor Dolezal      | @onlydole             | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |

## Slack

### Owner

Owners seats (non-admin role): 3

| Name            | Kubernetes Slack ID | Region   | Timezone                                                |
| --------------- | ------------------- | -------- | ----------------------------------------------------    |
| Chris Aniszczyk | @caniszczyk         | Americas | [CT - Central Time (US Central)](https://time.is/CT)    |
| Bob Killen      | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Ihor Dvoretskyi | @ihor.dvoretskyi    | Europe   | [EET - Eastern European Time](https://time.is/EET)      |

### Moderators

Moderators seats: 10

| Name                | Kubernetes Slack ID | Region   | Timezone                                                |
| ------------------- | ------------------- | -------- | ------------------------------------------------------- |
| Jorge Castro        | @castrojo           | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jeffrey Sica        | @jeefy              | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen          | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jorge Alarcon       | @alejandrox1        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Katharine Berry     | @Katharine          | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Jaice Singer DuMars | @jdumars            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Noah Kantrowitz     | @coderanger         | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Ihor Dvoretskyi     | @ihor.dvoretskyi    | EMEA     | [EET - Eastern European Time](https://time.is/EET)      |
| Yang Li             | @idealhack          | APAC     | [JST - Japan Standard Time](https://time.is/Japan)      |
| Josh Berkus         | @jberkus            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Marky Jackson       | @markyjackson-taulia| Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| _Open_              | _Open_              |          |                                                         |

### Moderators Pro Tempore

Moderators pro tempore seats: 10

| Name                    | Kubernetes Slack ID | Region | Timezone                                                   |
| ----------------------- | ------------------- | ------ | ---------------------------------------------------------- |
| Dylan Graham            | @DylanGraham        | APAC   | [AET - Australian Eastern Time](https://time.is/Australia) |
| Angus Lees              | @anguslees          | APAC   | [AET - Australian Eastern Time](https://time.is/Australia) |
| Aditya Konarde          | @aditya-konarde     | APAC   | [IST - Indian Standard Time](https://time.is/IST)          |
| Manjunath Kumatagi      | @mkumatag           | APAC   | [IST - Indian Standard Time](https://time.is/IST)          |
| Pandiyaraja Ramamoorthy | @pontiya            | APAC   | [IST - Indian Standard Time](https://time.is/IST)          |
| Puja Abbassi            | @puja108            | EMEA   | [CET - Central European Time](https://time.is/CET)         |
| James Munnelly          | @munnerz            | EMEA   | [GMT - Greenwich Mean Time](https://time.is/GMT)           |
| Joel Speed              | @JoelSpeed          | EMEA   | [GMT - Greenwich Mean Time](https://time.is/GMT)           |

## Zoom

Administrators seats: 6

| Name            | Kubernetes Slack ID | Region   | Timezone                                                |
| --------------- | ------------------- | -------- | ------------------------------------------------------- |
| Jorge Castro    | @castrojo           | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen      | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jorge Alarcon   | @alejandrox1        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Naeil Ezzoueidi | @nzoueidi           | EMEA     | [CET - Central European Time](https://time.is/CET)      |
| Yang Li         | @idealhack          | APAC     | [JST - Japan Standard Time](https://time.is/Japan)      |
| Taylor Dolezal  | @onlydole           | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Jeffrey Sica    | @jeefy              | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Ihor Dvoretskyi | @ihor.dvoretskyi    | EMEA     | [EET - Eastern European Time](https://time.is/EET)      |
| Marky Jackson   | @markyjackson-taulia| Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Nigel Brown     | @nigel              | Americas | [CT - Central Time (US Central)](https://time.is/CT)    |

- License and main account controlled by the CNCF

[moderation guidelines]: ./moderation.md
[github administration team]: https://git.k8s.io/community/github-management#github-administration-team
[trust system]: https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/
[chinese]: https://discuss.kubernetes.io/t/about-the-chinese-category/2881
[hindi]: https://discuss.kubernetes.io/t/about-the-hindi-category/30051
[german]: https://discuss.kubernetes.io/t/about-the-german-category/3152
[italian]: https://discuss.kubernetes.io/t/about-the-italian-category/2917/2
[spanish]: https://discuss.kubernetes.io/t/about-the-spanish-category/6167
[ukrainian]: https://discuss.kubernetes.io/t/about-the-ukrainian-category/2916
