# 2025 VOTERS GUIDE - KUBERNETES CODE OF CONDUCT ELECTIONS

## Important Links

- [Kubernetes Code of Conduct Committee]
- [election app]
- [election page]
- [schedule](#schedule)

## Table of Contents

- [Important Links](#important-links)
- [Table of Contents](#table-of-contents)
- [Purpose](#purpose)
- [Election Platform](#election-platform)
- [Eligibility](#eligibility)
  - [Schedule](#schedule)
- [Candidacy Process](#candidacy-process)
- [Voters](#voters)
- [Nominees](#nominees)

## Purpose

The role of this election is to fill out the three (3) seats open for election
this year on the [Kubernetes Code of Conduct Committee]. Each elected
member will serve a two (2) year term.

*In an effort to deconflict between Steering and Code of Conduct Committee
election timing and provide new Steering Committee members sufficient time to
onboard (3+ months), the Steering Committee has made the decision to move the
Code of Conduct Committee elections to follow the 2024 Steering elections,
instead of preceding them.*

## Election Platform

We will be using [Elekto] to conduct the election. Elekto relies entirely on GitHub OAuth for
voting, and as such does not use email at all. Elekto also handles exceptions,
eligibility checks, and other aspects of the election. See the [Elekto voting documentation]
for how to use it.

## Eligibility

- Candidate commits to putting the interests of the community above the interests of their employer for all Code of Conduct Committee activities.
- Is generally a responsible human
- Does not have to be part of the Kubernetes or CNCF community
- Characteristics which would be nice in any nominations:
  - Previous experience on an Ethics Committee or Code of Conduct Committee is appreciated
  - Has demonstrated integrity, professionalism, and positive influence within the community is appreciated
  - Experience with the tools which we use to communicate (Zoom, Slack, GitHub, etc.) within the Kubernetes community is appreciated

### Schedule

| Date | Event |
| --- | --- |
| Monday, December 2 | Nominations Open |
| Friday, January 31 | Nominations Close |
| Monday, February 3 | Steering to confirm candidacy |
| Monday, February 10 | Election Begins |
| Monday, February 17 | Election Closes |
| Tuesday, February 18 | Announcement of results |
| Thursday, February 20 | CoCC to hold onboarding sessions for new members |

Candidate nomination, bio, and election close deadlines will be done using Anywhere on Earth timing, meaning it is still valid to submit new nominations/bios/votes as long as it is still the last day anywhere on the planet (i.e. at the end of that day in UTC-12).

## Candidacy Process

Candidate nominations were accepted through a [Google Form] open during the above stated [nomination period](#schedule).

For more details about the candidacy and the voting process, see the [CoCC Election Charter].

## Voters

Only the Kubernetes Steering Committee members as of February 4, 2025 will be eligible voters for the election.

## Nominees

Nominees may be found in the [election app].

[Kubernetes Code of Conduct Committee]: https://github.com/kubernetes/community/blob/master/committee-code-of-conduct
[election app]: https://elections.k8s.io
[election page]: https://elections.k8s.io/app/elections/code-of-conduct---2025
[Elekto]: https://elekto.dev
[Elekto voting documentation]: https://elekto.dev/docs/voting/
[Google Form]: https://forms.gle/4yTd7Cy7FDsvA3GJ8
[CoCC Election Charter]: https://github.com/kubernetes/community/blob/master/committee-code-of-conduct/election.md
