-------------------------------------------------------------
name: Benjamin Elder
ID: bentheelder
info:
  - employer: Google
  - slack: bentheelder
-------------------------------------------------------------

## SIGS

I've historically been most active in these sigs:

- SIG Testing: **Chair**, **Tech Lead**
- SIG Release: General Contributor
- SIG K8s Infra: General Contributor, Infra Admin
- Architecture: Code Organization subproject
- Contributor Experience: General Contributor

But you'll also find me contributing across the project.

## What I have done

I first got involved in Kubernetes in the 2015, just before 1.0, as a
[Google Summer of Code][Google Summer of Code] student. during which time I developed the initial
`iptables` kube-proxy backend, which replaced the inefficient userspace backend
by default in v1.2.

In 2017 I graduated and took up full time Kubernetes development at Google as a
junior engineer working primarily on SIG Testing, where I've worked to improve
the contributor experience.

I developed [KIND][KIND] to make e2e testing Kubernetes faster and
locally reproducible without cloud access.
I led the effort to consolidate on a single build system and eliminate bazel to
reduce contributor friction.
I worked with SIG docs to create and pilot a pattern for subprojects to
officially host their own docs within the project for docs that do not belong
on the main kubernetes.io site, like [kind.sigs.k8s.io][kind.sigs.k8s.io].
I was also release lead shadow on the 1.14 release.

I've been one of the [most active contributors][most active contributors] to the project over the years and
I've since won the 2020 CNCF [Top Committer Award][Top Committer Award] for my extensive contributions.

You will find me active all across the project contributing where I can. I've
spent a lot of time maintaining the project's infra and helping transition older
infrastructure Google set up early in the project to community control. I help
maintain most of the build, test, and release tools / scripts, as well as the
cluster e2e tools including KIND and `cluster/`, as well as critical infra
like the project's CI, DNS, etc.


## What I'll do

I am passionate about the Kubernetes community and I will do everything in my
power to uphold and strengthen it's health, [values][values], and inclusivity.

Steering represents:
- An important interface between the project and the CNCF
- Authoring, reviewing, and approving governance documents, such as the charters
- An escalation path within the community, for matters unable to be resolved within the SIGs / WGs

Steering is about people, governance, and long term project health.
Steering is *not* about arbitrating technical decisions, which are left to the SIGs.

Within that scope, I will bring my perspective as someone who has risen from an
inexperienced student contributor to a leader to help guide and enact processes
and policies that prioritize community health.

In particular: I believe we need to do better enabling
future leaders / contributor growth, and being inclusive of our existing global,
diverse contributor base. We need to put more emphasis on sustainability, and
I believe steering is well positioned to do so.

## Resources About Me

- [elder.dev/about](https://elder.dev/aboput)
  - You can find a more personal bio, my [speaking][speaking] and more here
- [twitter.com/BenTheElder](https://twitter.com/BenTheElder)

[most active contributors]: https://k8s.devstats.cncf.io/d/13/developer-activity-counts-by-repository-group?orgId=1
[values]: https://www.kubernetes.dev/community/values/
[kind.sigs.k8s.io]: https://kind.sigs.k8s.io/
[Google Summer of Code]: https://summerofcode.withgoogle.com/
[KIND]: https://sigs.k8s.io/kind
[Top Committer Award]: https://www.cncf.io/announcements/2020/11/20/cloud-native-computing-foundation-announces-2020-community-awards-winners
[speaking]: https://elder.dev/about/#speaking
