-------------------------------------------------------------
name: Maciej Szulik
ID: soltysh
info:
  - employer: Red Hat
  - slack: soltysh
-------------------------------------------------------------

## SIGS

- SIG Apps chair and technical lead
- SIG API Machinery member
- SIG CLI technical lead
- WG Batch organizer

## What I have done

I've been an active Kubernetes contributor since late 2014. The majority of my
contributions can be divided between the SIGs and Work Groups mentioned above.

My kubectl contributions have been recognized, and in 2018, I joined SIG CLI
leadership. Over the past 5 years, I've managed to grow SIG CLI into a lively,
welcoming and open group. I've helped grow new leaders who could smoothly take
over roles from longtime predecessors. In early 2022, I was able to comfortably
step down from my chair role allowing those others to successfully lead the SIG.
During my tenure, I've been able to drive several major refactoring efforts
inside Kubectl, either as the primary developer, reviewer or mentor. These
include: [moving kubectl to staging](https://github.com/kubernetes/enhancements/issues/1020),
extracting [helpers for creating kubectl-like commands](https://github.com/kubernetes/cli-runtime),
and standardizing the shape of every command.
I'm still helping SIG CLI with technical oversight, advising on several of those
ongoing efforts, but I'm confident that we already have great leaders who can
replace me in the near future.

In early 2021, I joined SIG Apps leadership, as a recognition for my long-time
contributions to Kubernetes controllers (author of [Jobs](https://github.com/kubernetes/design-proposals-archive/blob/main/apps/job.md)
and [CronJobs née ScheduledJobs](https://github.com/kubernetes/design-proposals-archive/blob/main/apps/cronjob.md)).
Those 2 years have been a wild ride pushing [controllers to GA](https://github.com/kubernetes/enhancements/issues/19),
improving workload stability ([MaxSurge for DaemonSet](https://github.com/kubernetes/enhancements/issues/1591),
[MaxUnavailable for StatefulSet](https://github.com/kubernetes/enhancements/issues/961)),
or trying to [consolidate controller statuses](https://github.com/kubernetes/enhancements/issues/2804).

Together with SIG Autoscaling, SIG Node and SIG Scheduling toward the end of
2021, I helped co-organize Batch Work Group, where I'm continuously helping
extend batch workloads ([Tracking jobs without lingering pods](https://github.com/kubernetes/enhancements/issues/2307),
[Index Jobs](https://github.com/kubernetes/enhancements/issues/2624)) to be easier to run on Kubernetes.

Being an early contributor to the Kubernetes project allowed me to touch several
areas beyond the ones mentioned above. Over the years, I wrote [first version of audit](https://github.com/kubernetes/kubernetes/pull/27087),
and then helped shape [the current mechanism](https://github.com/kubernetes/enhancements/issues/22).
In addition, I have various contributions in the broad API server, which
interested readers can verify browsing through [git history](https://github.com/kubernetes/kubernetes/commits?author=soltysh)
;-)

Last but not least, in 2022, with the help from SIG Contribex, I've managed to
organize mentoring cohorts for both of the [SIGs Apps and CLI](https://github.com/kubernetes/community/issues/6665).
Growing the ranks of reviewers and approvers for these groups continues to be
one of my top priorities for the longevity of the entire project.

## What I'll do

Maintaining a healthy group of people capable of working on the project on a
daily basis continues to be one of my highest priorities. I'm hoping that being
part of the Steering Committee will allow me to push that goal further. I'm
already working together with SIG Contribex on improving the mentoring cohorts
for the next rounds and working to make it easier to run by the leads while also
being more welcoming for new contributors.

In parallel with growing next generations of contributors, the stability of the
project as seen by end users is paramount. I'd like to ensure that efforts like
Production Readiness continue to be the centerpiece of everyone's mind.

Lastly, I'm just a regular person with a lifetime passion for software
engineering, and just like every one of us, I also make mistakes. That's why I
would like to ask you, dear reader, to keep me honest and reach out to me
whenever I will not be able to uphold the above standards. I know that my avatar
both on github and slack looks scary, but trust me I am not. Please  feel free
to ping me when you need me :-)

## Resources About Me

- Twitter: [@soltysh](https://twitter.com/soltysh)
- LinkedIn: [Maciej Szulik](https://www.linkedin.com/in/maciejszulik/)
- Talks:
  - [Writing Controllers for Everyone](https://www.youtube.com/watch?v=AUNPLQVxvmw)
  - [The Long, Winding and Bumpy Road to CronJob’s GA](https://www.youtube.com/watch?v=o5h6s3A9bXY&pp=ygUNbWFjaWVqIHN6dWxpaw%3D%3D)
  - [Audit in Kubernetes, the Future is Here](https://www.youtube.com/watch?v=Up1qgVIzoVM&pp=ygUNbWFjaWVqIHN6dWxpaw%3D%3D)
  - [Kubectl code tour](https://youtu.be/eZeCFRh2uGg?t=540)
  - [The Cube interview](https://www.youtube.com/watch?v=iWnNFUrqZdM)

