-------------------------------------------------------------
name: Vince Prignano
ID: vincepri
info:
  - employer: Red Hat
  - slack: vincepri
-------------------------------------------------------------

## SIGS

- Co-Chair for SIG Cluster Lifecycle, Cluster API maintainer
- API Machinery — Controller Runtime maintainer

## What I have done

My technical experience across 10 years focuses on distributed systems,
linux, networking, and controllers. At my core, I am a generalist that has
led teams, organizations, and communities through kindness and pragmatism.
Most recently, I have entered a new chapter in my life becoming a new parent.

In the last five years in Kubernetes include:
- SIG Cluster Lifecycle, Chair since August 2021
  - Actively promoted tech leads, and mentoring folks across all subprojects.
- Cluster API maintainer since 2018
  - Steered towards production readiness.
  - Collaborated on major architectures, focused on growing our end-user community,
    organized meetups, and various talks at KubeCon and other conferences.
  - Mentored new contributors, reviewers, and maintainers.
- Controller Runtime and Tools maintainer since 2019

## What I'll do

Kubernetes is a key piece of technology in the cloud native landscape and
the momentum is at all time high. Kubernetes' best feature is its community,
people coming from all parts of the world working together.

Through my experience, I tend to bias towards action, kind feedback, and
thoughtful communications. My background spans distributed scalable services and
end-user products.

My leadership values:

- Kindess, inclusivity, and community above all.
- Build for the 80%, make 20% possible.
- Simple is hard, less is more.

## Resources About Me

- My website: [vincepri.com](https://vincepri.com)
- [Cluster API Deep-Dive KubeCon NA 2019](https://www.youtube.com/watch?v=B_Zb9_Ralb4)
- [Co-Authored the Cluster API v1 CNCF blog post](https://www.cncf.io/blog/2021/10/06/kubernetes-cluster-api-reaches-production-readiness-with-version-1-0/)
- [Cluster API Intro and Deep Dive KubeCon EU 2022](https://www.youtube.com/watch?v=9H8flXm_lKk)
