-------------------------------------------------------------
name: Natali Vlatko
ID: natalisucks
info:
  - employer: Cisco
  - slack: Natali
-------------------------------------------------------------

## SIGS

- SIG Docs / Co-Chair
- SIG Auth / Early Issue Triage
- SIG Contributor Experience / Contributor Summit Team

## What I have done

I've served as the Co-chair of SIG Docs since early 2022, with my Kubernetes contribution journey starting in 2020 via SIG Auth. I'm also currently involved with SIG ContribEx, via our bi-annual Contributor Summits. Here are some highlights:

- I led the launch of the official Localization Subproject for Kubernetes, which earned me the [2021 Kubernetes Contributor Award](https://www.kubernetes.dev/community/awards/2021/) for SIG Docs. Kubernetes documentation is now available in 16 different languages, and I'm a sponsor of the Arabic localization, which is currently in progress. I also spearheaded greater recognition of localization contributions for Kubernetes organization membership for new contributors
- I helped launch the regular issue and PR triage sessions for SIG Auth. This triaging helped the SIG organize work on various KEPs, such as [improvements to the Key Management Service (KMS) API](https://kubernetes.io/blog/2022/09/09/kms-v2-improvements/)
- I led the Day of Operations Team for the Kubernetes Contributor Summit NA 2023, and led Communications for the EU 2024 Summit. I’d love to come back and lead the whole damn show in London 2025
- I've actively mentored and sponsored new reviewers and approvers for SIG Docs, and helped build our leadership bench with new Tech Leads

## What I’ll do

My current roles across the project require me to have technical breadth as opposed to depth in a single area, and I believe this'll be a helpful trait as a serving member of the Steering Committee. SIG Docs in particular is a place where contributors and maintainers from all across the project have had to collaborate and find solutions; being involved in efforts such as deprecating our Katacoda tutorials, communicating the Dockershim removal, and upgrading Release Docs processes for better documentation standards in the project, I'm well equipped to work alongside maintainers and contributors alike to help Kubernetes make governance, financial, foundation, and project-wide decisions. My extensive involvement with the CNCF will also serve as useful knowledge and context as part of Steering.


## Resources about me

- Some of my KubeCon/CloudNativeCon talks:
  - [Dungeons and Deployments v2: The Clusters of Chaos (KubeCon/CloudNativeCon EU 2024)](https://youtu.be/EWJ6Ih_bQbo?si=XRuQ7zcivfFEoz0L)
  - [Dungeons and Deployments: Leveling Up in Kubernetes (KubeCon/CloudNativeCon NA 2023)](https://youtu.be/-CPrDLFM1Aw?si=i-hPLzvFZHg5mAdr)
  - [How To Localize Kubernetes Documentation: A Guide For Everyone (KubeCon/CloudNativeCon EU 2023)](https://kccnceu2023.sched.com/event/1HyUP)
  - [Contributing to the Kubernetes Website: A Guide For Everyone (KubeCon/CloudNativeCon NA 2022)](https://kccncna2022.sched.com/event/182O1/contributing-to-the-kubernetes-website-a-guide-for-everyone-divya-mohan-rey-lejano-suse-tim-bannister-the-scale-factory-natali-vlatko-wayfair-arsh-sharma-okteto)
- Find me on [GitHub](https://github.com/natalisucks)
- Check out my [LinkedIn](https://www.linkedin.com/in/natalivlatko)

