-------------------------------------------------------------
name: Sascha Grunert
ID: saschagrunert
info:
  - employer: Red Hat
  - slack: sascha
-------------------------------------------------------------

## SIGS

- SIG Release Chair, Release Manager and Release Engineering subproject owner
- SIG Node approver and contributor

## What I have done

Contributing to SIG Release for over 5 years in various roles until I got
nominated to act as Chair. Introducing and maintaining the SIG Release Roadmap
and Vision, while still working on the technical release engineering aspects.
I've mentored new contributors into various areas of SIG Release, which also
applies to other special interest groups like SIG Node. Focusing on cross-SIG
collaboration is one of my target areas for SIG Release in the same way as
ensuring fluent day-to-day operations with respect to cherry-picks, patch
releases, security processes and infrastructure maintenance.

In the same way as contributing to SIG Release, I've started to work on multiple
SIG Node related features over the past years. Either directly bound to a
release cycle as enhancement or by just supporting the community by fixing bugs.
My goal was to always show the right amount of visibility and responsibility to
the community, which made me approver for certain SIG node related source code
areas.

## What I'll do

As part of the Steering Committee, I would stand for shaping the long term goals
of the committee while actively working on them. Beside that, I would invest my
time to evolve the overall vision of the project by standing for its goals and
values. All of that should be done by providing a low and welcoming entry level
for new community members as well as outlining a healthy environment for our
long term contributors. I would work on evaluating and re-defining the
responsibilities of the Steering Committee to outline a clear future of the
Kubernetes project.

## Resources About Me

- [Website](https://saschagrunert.de)
- [GitHub](https://github.com/saschagrunert)
- [LinkedIn](https://www.linkedin.com/in/sascha-grunert)
- [Twitter](https://twitter.com/saschagrunert)
- [Mastodon](https://m6n.io/@sascha)
- [Most recent talks as YouTube Playlist](https://youtube.com/playlist?list=PL9X9xtGpGA0HzohI9h8Q65QS69PWLECJm)
- Recent blogs:
    - [Kubernetes 1.31: Read Only Volumes Based On OCI Artifacts (alpha)](https://kubernetes.io/blog/2024/08/16/kubernetes-1-31-image-volume-source)
    - [Container Runtime Interface streaming explained](https://kubernetes.io/blog/2024/05/01/cri-streaming-explained)
    - [Kubernetes 1.30: Beta Support For Pods With User Namespaces](https://kubernetes.io/blog/2024/04/22/userns-beta)
    - [CRI-O: Applying seccomp profiles from OCI registries](https://kubernetes.io/blog/2024/03/07/cri-o-seccomp-oci-artifacts)
    - [CRI-O is moving towards pkgs.k8s.io](https://kubernetes.io/blog/2023/10/10/cri-o-community-package-infrastructure)
