-------------------------------------------------------------
name: Marko Mudrinić
ID: xmudrii
info:
  - employer: Kubermatic
  - slack: xmudrii
-------------------------------------------------------------

## SIGS

- SIG Release
  - Subproject Lead for Release Engineering
  - Senior Release Manager
- SIG K8s Infra contributor and maintainer

## What I have done

My Kubernetes journey started in 2018 with [a Summer of Code internship](https://summerofcode.withgoogle.com/archive/2018/projects/5952269212188672), where I implemented a storage layer for aggregated API servers through collaboration with SIG API Machinery.

After the internship, I joined SIG Release where I'm actively contributing for over 6 years, and currently serving as a Subproject Lead for Release Engineering and Senior Release Manager. As a part of SIG Release, I made many impactful changes to the technical and procedural side of the release process, improved our tooling, documentation, and ensured we provide high quality, secure, and reliable releases.

Over the time, I've contributed to different SIGs, such as SIG Cluster Lifecycle, SIG Testing, and SIG K8s Infra.

I joined SIG K8s Infra in 2023 in efforts to reduce and diversify cloud spending. I'm leading a team that maintains a part of the AWS infrastructure used for running CI jobs.

I was leading migration of the packages infrastructure to the community-owned infrastructure hosted at [`pkgs.k8s.io`](https://kubernetes.io/blog/2023/08/15/pkgs-k8s-io-introduction/), solving one of the longest standing problems in the community and SIG Release.

I've received three [Contributor Awards](https://www.kubernetes.dev/community/awards/) for my contributions and impact to the project: [in 2022](https://www.kubernetes.dev/community/awards/2022/) from SIG Release, and [in 2023](https://www.kubernetes.dev/community/awards/2023/) from SIG Release and SIG K8s Infra.

I've been a [CNCF Ambassador](https://www.cncf.io/people/ambassadors/) since November 2023. I was a mentor in the LFX program in the [Term 3: Sept-Nov for the Kubernetes project](https://mentorship.lfx.linuxfoundation.org/project/47f53d22-ff5c-4479-b701-3ca3dbc7df0a).

As of February 2023, I'm a Teaching Associate at the School of Computing, University Union, Belgrade, where I'm teaching Kubernetes and Cloud Native technologies to the final year students.

## What I'll do

Being part of different SIGs for many years taught me a lot about fostering a diverse and sustainable contributor base in many different aspects, and how to mentor and enable contributors to succeed in their roles. I want to provide that experience to the broader Kubernetes project, and it would be my honour to be part of the Steering Committee.

My two most important goals are to ensure the **healthy state** and **sustainability** of the Kubernetes project.

The Steering Committee is **NOT** here to solve technical problems, but to be a liaison between contributors and the CNCF, advocate for the project's needs, and recognize the awesome success of our community members.

I want to make sure that we uphold this, to our goals, vision and values, in an agile, efficient and sustainable manner, while providing support and sponsorship that allow our community members to strive even more. The Kubernetes project is becoming more and more mature, and we need to ensure that our contributors can make an impact, that they're recognized, and to help them to avoid burnout.

## Resources About Me

- [xmudrii.com](https://xmudrii.com)
- [GitHub](https://github.com/xmudrii)
- [LinkedIn](https://linkedin.com/in/xmudrii/)
- [X (Twitter)](https://twitter.com/xmudrii)
- [Talks playlist on YouTube](https://www.youtube.com/playlist?list=PLvNBqHHXyMOBufmiuBrIQvtgOp3smF1Jx)
- My publications on kubernetes.io
  - [pkgs.k8s.io: Introducing Kubernetes Community-Owned Package Repositories](https://kubernetes.io/blog/2023/08/15/pkgs-k8s-io-introduction/)
  - [Kubernetes Legacy Package Repositories Will Be Frozen On September 13, 2023](https://kubernetes.io/blog/2023/08/31/legacy-package-repository-deprecation/)
