# Volunteer Roles for Operations

The Kubernetes Contributor Summit Operations Team (aka KCS Ops Team or Ops)  makes use of a large number of volunteers on the day of the Summit.  This includes room proctors, door wardens, guides, runners, and others.  

What follows are general descriptions of each of these roles, both so that contributors can choose which role they would like to volunteer for, and to form the core of an instruction sheet for onsite volunteers.

## All Volunteers

### Ops Meetings

The KCS Ops Team will meet biweekly until shortly before the Summit.  Volunteers are invited to these meetings, and are welcome to attend.  Attending meetings is not required or expected, though.  The primary reason to attend is if you’re thinking about shadowing the Ops Lead (or any other role) for the next KCS.

There will be a Know Before You Go meeting for Ops volunteers 1-2 weeks before Kubecon. All Ops volunteers are expected to attend this if at all possible, particularly if they won’t be able to make the early-morning orientation meeting.   To accommodate this, Ops will try to have two meetings in disparate time zones.

### Checking In

Please check in in the designated Staff Room for the Contributor Summit.  There should be a sign-in sheet there.

### Morning Orientation

On the day of the Summit, the Ops team will meet for an orientation and introduction session ½ to 1 hour before the KCS opens.  This will include: handing out staff swag, a tour of the KCS space layout, and a last-minute briefing on things which have come up after the last instructions were sent out. This also allows the volunteers to meet and recognize each other.  While not all volunteers can make this orientation, those who can should attend in order to avoid confusion later in the day.

### Using Slack

All Summit Volunteers are expected to have Kubernetes Slack, with notifications turned on, on their phones, unless their volunteer job allows them to sit in front of a laptop.  A private Slack channel will be our way of coordinating with the volunteers, and we will use direct messages as well.  If this is a serious obstacle for you, please talk to one of the Ops leads.

## Hallway Roles

The KCS Ops Team utilizes a number of volunteers to staff positions outside the session rooms.  Generally people take these roles for short time slots, so as not to miss too much of the Summit sessions.

### Door Warden / Registration Support

Number Required: 1 or 2

Needed At: Most but not all Contributor Summits

Times Needed: Depends on the venue; sometimes only the first 3 hours of the KCS, other times for the whole day.  Volunteers do 1-hour shifts.

Location: Entrance to KCS space

Duties:

* Check if incoming people are registered for the KCS
* Redirect folks in the wrong place
* Give attendees stickers (if used this KCS)
* Troubleshoot problem registrations
* Direct arriving attendees to the correct room, if necessary

Tools Needed:

* List of registered attendees or link and access to KCS Planning Doc Spreadsheet with list of attendees
* KCS Attendee badge stickers (if using)
* Knowledge of the KCS room layout
* Copy of the KCS schedule

Description:

The Door Warden is present to make sure that Kubernetes contributors get into the KCS, and other people around KubeCon do not. Conference security and temporary event staff are not sufficiently familiar with our contributors to handle this on their own.

At its easiest, you just check people's badges, let through those whose badges include the Summit, and help people with the wrong badges to find whatever room they were looking for.  But it's the difficult cases that require a volunteer.  These will include:

* A contributor who should have been registered but for some reason has the wrong badge. In this case, check them in and give them a KCS sticker.
* A contributor who hasn't yet picked up their badge: send them back to registration.
* A Kubecon attendee with an "all access" pass who insists it should get them into the KCS: firmly turn them away.
* A contributor who failed to register in time: consult with onsite staff on whether we can accommodate the additional people; if allowed, let them in (and give them a sticker).
* A guest presenter who isn't properly registered for the KCS: consult with Content Lead to determine what to do.
* A presenter/session lead who's arriving late: direct them to their room.
* An attendee for some non-KCS event on the same day: direct them away from the KCS.

As you might be able to tell from the above, it helps to be able to recognize the names or faces of a number of Kubernetes contributors.

### Announcements / Bell Ringer / Town Crier

Number Required: 1

Needed At: Most but not all KCSes

Times Needed: During breaks, end of lunch

Location: main room or hallway of the KCS

Duties:

* Ring bell and announce the end of breaks and the start of sessions
* Make other announcements (e.g. unconference voting) as given to you by Ops

Tools Needed:

* Copy of the KCS schedule
* Bell
* Loud voice

Description:

The Bell Ringer / Announcements volunteer is there to remind contributors when sessions are starting in order to help them start on time.  They may also receive other announcements from the Ops leads to shout out in the common spaces.

### Runner

Number Required: 1

Needed At: All KCses

Times Needed: From the start of the summit to the beginning of the last session.

Location: Initially stationed  at KCS staff room, can also be in the main session room

Duties:

* Run to elsewhere in the conference center to get CNCF Events staff, security, or AV staff as needed.
* Assist summit staff as needed e.g. moving signs, print schedules, etc.

Tools Needed:
* Knowledge of the KCS room layout
* Copy of the KCS schedule
* Mobile access to Slack for communication

Description:
The runner’s main duty is to “run” for other staff if it becomes necessary.  Sometimes we need to get security, events, AV, or registration staff and bring them back to the KCS venue, and cannot reach them via radio.  A runner also helps to ensure the summit runs smoothly by assisting event staff in various roles and doing ad hoc tasks such as printing, posting and moving signs.

If other scheduled volunteer staff do not show up, the Runner is also a substitute for those positions.

### Traffic Guide

Number Required: 1 to 3, depends on the venue

Needed At: Some KCSes, depending on the layout of the space

Times Needed: At busier times like at the start of the summit to end of lunch

Location: Hallways and may need a traffic guide outside the summit venue if the summit entrance is difficult to find.

Duties:
* Guide attendees to the appropriate rooms and to the summit entrance if applicable

Tools Needed:
* Knowledge of the KCS room layout
* Copy of the KCS schedule

Description:

Some KCSes have a confusing or sprawling layout, such that at certain times we need staff directing attendees to a location.  For example, in Amsterdam a Traffic Guide directed folks from the main entrance to the General Sessions room, since they were a 40m walk, around a corner, and down a set of stairs.  In Chicago, we had a Traffic Guide directing people to the Social venue.

## Room Proctors

Number Required: 1 for each concurrent session

Needed At: All KCSes

Times Needed: Whole day (one session at a time)

Location: Each session room

Duties:

* Make sure the speaker shows up and knows which room they are in
* Verify sound, projection, and recording are working appropriately, depending on the rooms’ needs
* Help troubleshoot any problems with AV, facilities, or event staff
* Make sure rooms have appropriate supplies e.g. pens, paper, etc
* Prompt the room to assign a note taker if appropriate.
* Do not let someone monopolize the conversation
* Make sure the session both begins and ends on time
* Keep an eye on the summit slack channels

Tools Needed:
* Knowledge of the KCS room layout
* Copy of the KCS schedule, including speaker/facilitator listings
* Extra supplies as needed e.g. pens, paper, etc (get these from the staff room)

Description:

Each session needs one (or more) volunteers to look after the session and make sure that it goes well.  Exactly what's required for this depends on the type of session, but generally includes timekeeping, speaker handling, AV troubleshooting, and reminders to take notes.

Room Proctor volunteers should arrive at least 5 minutes before the session is scheduled to start, and plan to stay through the whole session.  For that reason, if they volunteer for two sessions back-to-back, those need to be in the same room.  

The KCS can include the following types of sessions, each of which needs Room Proctors to perform slightly different actions:

* General Sessions in the main presentation room
* Presentation Sessions
* Discussion Sessions and SIG Meetings
* Workshops
* Unconference Sessions
