# Monthly Kubernetes New Contributor Orientation
The Monthly Kubernetes New Contributor Orientation (NCO) meetings are an initiative owned by the mentoring subproject of [SIG-ContribEx](../../sig-contributor-experience/). Started in September of 2024, the purpose of these meetings is to orient prospective new contributors to the community by providing an overview of what Kubernetes does as a technology, how the community is structured and how it functions, and how they might fit into the community as "contributors." There is no hands-on content included in the New Contributor Orientation meeting.


Anyone is welcome to attend the Kubernetes New Contributor Orientation.


Anyone with [org membership](https://github.com/kubernetes/community/blob/master/community-membership.md#member) and an interest in helping new contributors is encouraged to participate in the meeting as a host or lead. "Hosts" are active contributor participants who help answer questions from their unique perspectives during the Q&A segment of the meeting. A "Lead" is a contributor who takes on the responsibility of organizing and running the meeting, generally including giving the presentation. Check out the [NCO Host handbook](nco-host-handbook.md) for guidance on acting as a host during the meeting, and check out the [NCO Lead Handbook](nco-lead-handbook.md) for more details on how to lead an NCO meeting.


## Meetings
NCO Meetings are held in *two sessions* on the *third Tuesday of every month*. Exact meeting timing and availability is dependent on having one or more leads willing and able to run the session(s). Check [k8s.dev/calendar](https://k8s.dev/calendar) and watch the dev@kubernetes.io mailing list for details on the meeting plan each month. Notifications about the meeting should also be sent to the [kubernetes-new-contributors channel](https://kubernetes.slack.com/archives/C09R23FHP) on [Kubernetes Slack](https://slack.k8s.io/) each month.

Typically, the timings for the two monthly sessions are as follows:

* [**EMEA/APAC-friendly**: 1:30 PT / 8:30 UTC / 10:30 CET / 14:00 IST](https://calendar.google.com/calendar/event?action=TEMPLATE&tmeid=NXVpdGhoMWRyMGhpMDZjdWxqYzhwajloYXVfMjAyNDA5MTdUMDgzMDAwWiBjOGJhZmVmMDRzMTJyYTBna3FxbDZmY2hqY0Bn&tmsrc=c8bafef04s12ra0gkqql6fchjc%40group.calendar.google.com&scp=ALL)
* [**AMER-friendly**: 8:30 PT / 15:30 UTC / 17:30 CET / 21:00 IST](https://calendar.google.com/calendar/event?action=TEMPLATE&tmeid=MnZqMXVmazZhNWJ2aTNldmE3Y2FvYnRkZTBfMjAyNDA5MTdUMTUzMDAwWiBjOGJhZmVmMDRzMTJyYTBna3FxbDZmY2hqY0Bn&tmsrc=c8bafef04s12ra0gkqql6fchjc%40group.calendar.google.com&scp=ALL)


Joining the [SIG-ContribEx mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-contribex) will typically add invites for the NCO meetings, and all other SIG ContribEx meetings, to your calendar. You may also add the meetings to your calendar using the links below, or by finding them on [k8s.dev/calendar](https://k8s.dev/calendar)

As with all meetings in the Kubernetes community, NCO meetings follow the [Kubernetes Community Code of Conduct](https://kubernetes.io/community/code-of-conduct/).

### Agenda
All Kubernetes NCO meetings should follow roughly the same agenda:

Meeting length: 1hr
* ~40 min Presentation based on the [NCO slide deck template](nco-slides/TEMPLATE_%20[MONTH]%20New%20Contributor%20Orientation.pdf)
* ~20 min free-form Q&A

## Questions?
If you have any questions about the NCO, you can reach out by posting a message in the [sig-contribex channel](https://kubernetes.slack.com/archives/C1TU9EB9S) on [Kubernetes Slack](https://slack.k8s.io/)
