# 2024 Annual Report: SIG Autoscaling

## Current initiatives and Project Health

1. What work did the SIG do this year that should be highlighted?

<!--
   Some example items that might be worth highlighting:
   - Major KEP advancement
   - Important initiatives that aren't tracked via KEPs
   - Paying down significant tech debt
   - Governance and leadership changes
-->
 - Dynamic Resource Allocation support
 - Ongoing work to enable in-place pod resource updates compatibility with Vertical Pod Autoscaler

2. Are there any areas and/or subprojects that your group needs help with (e.g. fewer than 2 active OWNERS)?

 - Horizontal Pod Autoscaler - see [this issue](https://github.com/kubernetes/kubernetes/issues/128948)



3. Did you have community-wide updates in 2024 (e.g. KubeCon talks)?
<!--
  Examples include links to email, slides, or recordings.
-->

- [Kubecon EU 2024 SIG Update](https://www.youtube.com/watch?v=3j2DqZinn5E)
- [Kubecon NA 2024 SIG Update](https://www.youtube.com/watch?v=3fr2J3G1s1U)

4. KEP work in 2024 (v1.30, v1.31, v1.32):
<!--
   TODO: Uncomment the following auto-generated list of KEPs, once reviewed & updated for correction.

   Note: This list is generated from the KEP metadata in kubernetes/enhancements repository.
      If you find any discrepancy in the generated list here, please check the KEP metadata.
      Please raise an issue in kubernetes/community, if the KEP metadata is correct but the generated list is incorrect.
-->

  - Stable
    - [1610 - Container Resource based Autoscaling](https://github.com/kubernetes/enhancements/tree/master/keps/sig-autoscaling/1610-container-resource-autoscaling) - v1.30

## [Subprojects](https://git.k8s.io/community/sig-autoscaling#subprojects)


**Continuing:**
  - addon-resizer
  - cluster-autoscaler
  - horizontal-pod-autoscaler
  - karpenter
  - vertical-pod-autoscaler

## [Working groups](https://git.k8s.io/community/sig-autoscaling#working-groups)

**New in 2024:**
 - Device Management
 - Serving
**Continuing:**
 - Batch

## Operational

Operational tasks in [sig-governance.md]:
- [x] [README.md] reviewed for accuracy and updated if needed
- [x] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
- [x] Other contributing docs (e.g. in devel dir or contributor guide) reviewed for accuracy and updated if needed
- [x] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [x] SIG leaders (chairs, tech leads, and subproject leads) in [sigs.yaml] are accurate and active, and updated if needed
- [x] Meeting notes and recordings for 2024 are linked from [README.md] and updated/uploaded if needed


[CONTRIBUTING.md]: https://git.k8s.io/community/sig-autoscaling/CONTRIBUTING.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-autoscaling/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
[devel]: https://git.k8s.io/community/contributors/devel/README.md
