<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Contributor Experience Special Interest Group

Developing and sustaining a healthy community of contributors is critical to scaling the project and growing the ecosystem. We need to ensure our contributors are happy and productive, and that there are not bottlenecks hindering the project in, for example: feature velocity, community scaling, pull request latency, and absolute numbers of open pull requests and open issues.

The [charter](charter.md) defines the scope and governance of the Contributor Experience Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-contribex) for the group will typically add invites for the following meetings to your calendar.*
* Regular SIG Meeting: [Wednesdays at 9:00 PT (Pacific Time)](https://zoom.us/j/397264241?pwd=bHNnZVArNFdPaWVJMmttdko0Sktudz09) (Biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9%3A00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1CBz8qV_mD6rbDmTsMuosTOQGRXGhN3d8UrcULUI6Vkw/edit).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).
* Regular SIG Meeting (APAC/J/NZ timezone friendly): [Wednesdays at 7:30 UTC](https://zoom.us/j/397264241?pwd=bHNnZVArNFdPaWVJMmttdko0Sktudz09) (Biweekly, interleaved with the Regular SIG Meeting). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=7%3A30&tz=UTC).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1CBz8qV_mD6rbDmTsMuosTOQGRXGhN3d8UrcULUI6Vkw/edit).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Kaslin Fields (**[@kaslin](https://github.com/kaslin)**), Google
* Mario Fahlandt (**[@mfahlandt](https://github.com/mfahlandt)**), Kubermatic GmbH
* Nabarun Pal (**[@palnabarun](https://github.com/palnabarun)**), VMware

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Madhav Jivrajani (**[@MadhavJivrajani](https://github.com/MadhavJivrajani)**), VMware
* Priyanka Saggu (**[@Priyankasaggu11929](https://github.com/Priyankasaggu11929)**), SUSE

## Emeritus Leads

* Elsie Phillips (**[@Phillels](https://github.com/Phillels)**)
* Alison Dowdney (**[@alisondy](https://github.com/alisondy)**)
* Jorge Castro (**[@castrojo](https://github.com/castrojo)**)
* Christoph Blecker (**[@cblecker](https://github.com/cblecker)**)
* Garrett Rodrigues (**[@grodrigues3](https://github.com/grodrigues3)**)
* Josh Berkus (**[@jberkus](https://github.com/jberkus)**)
* Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**)
* Nikhita Raghunath (**[@nikhita](https://github.com/nikhita)**)
* Paris Pittman (**[@parispittman](https://github.com/parispittman)**)

## Contact
- Slack: [#sig-contribex](https://kubernetes.slack.com/messages/sig-contribex)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-contribex)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fcontributor-experience)
- GitHub Teams:
    - [@kubernetes/sig-contributor-experience](https://github.com/orgs/kubernetes/teams/sig-contributor-experience) - General Discussion
    - [@kubernetes/sig-contributor-experience-leads](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-leads) - Chairs and Technical Leads
    - [@kubernetes/sig-contributor-experience-pr-reviews](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-pr-reviews) - PR Reviews
- Steering Committee Liaison: Antonio Ojea (**[@aojea](https://github.com/aojea)**)

## Subprojects

The following [subprojects][subproject-definition] are owned by sig-contributor-experience:
### community
Owns and manages overall community repo, including community group documentation and operations.
- **Owners:**
  - [kubernetes/community](https://github.com/kubernetes/community/blob/master/OWNERS)
### community-management
Manages operations and policy for upstream community group communication platforms.
- **Owners:**
  - [kubernetes-sigs/discuss-theme](https://github.com/kubernetes-sigs/discuss-theme/blob/master/OWNERS)
  - [kubernetes/community/communication](https://github.com/kubernetes/community/blob/master/communication/OWNERS)
### contributor-comms
Contributor Communications focuses on amplifying the success of Kubernetes contributors through marketing.
- **Owners:**
  - [kubernetes-sigs/lwkd](https://github.com/kubernetes-sigs/lwkd/blob/main/OWNERS)
  - [kubernetes/community/communication/contributor-comms](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/OWNERS)
- **Meetings:**
  - Contributor Comms - Contributor Comms Team Meeting: [Fridays at 8:00 PT (Pacific Time)](https://zoom.us/j/596959769?pwd=TURBNlZPb3BEWVFmbWlCYXlMVVJiUT09) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=8%3A00&tz=PT%20%28Pacific%20Time%29).
    - [Meeting notes and Agenda](https://docs.google.com/document/d/1K3vjCZ9C3LwYrOJOhztQtFuDQCe-urv-ewx1bI8IPVQ/edit?usp=sharing).
    - [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).
### contributors-documentation
writes and maintains documentation around contributing to Kubernetes, including the Contributor's Guide, Developer's Guide, and contributor website.
- **Owners:**
  - [kubernetes/community/contributors/guide](https://github.com/kubernetes/community/blob/master/contributors/guide/OWNERS)
  - [kubernetes/contributor-site](https://github.com/kubernetes/contributor-site/blob/master/OWNERS)
### devstats
Maintains and updates https://k8s.devstats.cncf.io, including taking requests for new charts.
- **Owners:**
  - [kubernetes/community/sig-contributor-experience/devstats](https://github.com/kubernetes/community/blob/master/sig-contributor-experience/devstats/OWNERS)
- **Contact:**
  - Slack: [#devstats](https://kubernetes.slack.com/messages/devstats)
### elections
Oversees running elections in the community. Maintains documentation and software for elections.
- **Owners:**
  - [kubernetes/community/elections](https://github.com/kubernetes/community/blob/master/elections/OWNERS)
- **Contact:**
  - Slack: [#sig-contribex](https://kubernetes.slack.com/messages/sig-contribex)
### events
Creates and runs contributor-focused events, such as the Contributor Summit.  Event Teams are part of this subproject.
- **Owners:**
  - [kubernetes/community/events](https://github.com/kubernetes/community/blob/master/events/OWNERS)
- **Contact:**
  - Slack: [#sig-contribex](https://kubernetes.slack.com/messages/sig-contribex)
### github-management
Manages and controls Github permissions, repos, and groups, including Org Membership.
- **Owners:**
  - [kubernetes-client/.github](https://github.com/kubernetes-client/.github/blob/master/OWNERS)
  - [kubernetes-csi/.github](https://github.com/kubernetes-csi/.github/blob/master/OWNERS)
  - [kubernetes-sigs/.github](https://github.com/kubernetes-sigs/.github/blob/master/OWNERS)
  - [kubernetes-sigs/maintainers](https://github.com/kubernetes-sigs/maintainers/blob/main/OWNERS)
  - [kubernetes/.github](https://github.com/kubernetes/.github/blob/master/OWNERS)
  - [kubernetes/community/github-management](https://github.com/kubernetes/community/blob/master/github-management/OWNERS)
  - [kubernetes/kubernetes-template-project](https://github.com/kubernetes/kubernetes-template-project/blob/master/OWNERS)
  - [kubernetes/org](https://github.com/kubernetes/org/blob/master/OWNERS)
- **Contact:**
  - Slack: [#github-management](https://kubernetes.slack.com/messages/github-management)
- **Meetings:**
  - GitHub Administration Subproject: [Thursdays at 09:00 PT (Pacific Time)](https://zoom.us/j/442435463?pwd=Rk1PWWpSSTJDaWJKdzRYb2EyTlkvZz09) (Monthly on 4th Thursday). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=09%3A00&tz=PT%20%28Pacific%20Time%29).
    - [Meeting notes and Agenda](https://docs.google.com/document/d/1IiVrr1hcFWmbboExk971FsMUGfr2Wp68mdMribCuzLs/edit).
    - [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).
### mentoring
Oversees and develops programs for helping contributors ascend the contributor ladder, including the New Contributor Workshops, and other programs.
- **Owners:**
  - [kubernetes-sigs/contributor-playground](https://github.com/kubernetes-sigs/contributor-playground/blob/master/OWNERS)
  - [kubernetes/community/mentoring](https://github.com/kubernetes/community/blob/master/mentoring/OWNERS)
### slack-infra
Creates and maintains tools and automation for Kubernetes Slack.
- **Owners:**
  - [kubernetes-sigs/slack-infra](https://github.com/kubernetes-sigs/slack-infra/blob/main/OWNERS)
- **Contact:**
  - Slack: [#slack-infra](https://kubernetes.slack.com/messages/slack-infra)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->

## Relevant Presentations

This is a collection of presentations from our SIG members around contributing to Kubernetes, feel free to PR in content here: 

## Current Status

This is the work we've done this past cycle and plan to work on in the future:

- [From Automation to Community: A Deep Dive Into SIG Contributor Experience](https://youtu.be/5Bs1bs6iFmY) (April 2023)
  - [Slides](https://docs.google.com/presentation/d/1BNej12r_YN_0FSYgthPWvOqpcS53oiHS) 

## General Presentations

- [How to Contribute to Kubernetes](https://www.youtube.com/watch?v=yVOCRrK6Fh0) - Nikhita Raghunath
- [Practical git for Kubernetes Contributors](https://www.youtube.com/watch?v=K5qI9bTG9Ik)- Christoph Blecker
- [State of the Kubernetes Contributor Community](https://www.youtube.com/watch?v=a17FLjVDUOc) - Paris Pittman
- [A peek behind the curtain: Managing the Kubernetes Contributor Community](https://www.youtube.com/watch?v=DrCPEq3HpwY)

### KubeCon + CloudNativeCon

We give our SIG status at every KubeCon, here are our most current talks:

- [From Automation to Community: A Deep Dive Into SIG Contributor Experience, Europe 2023](https://youtu.be/5Bs1bs6iFmY) - Madhav Jivrajani, Priyanka Saggu, Kaslin Fields
- [SIG Contributor Experience Deep Dive, North America 2022](https://www.youtube.com/watch?v=C-k_h3vzWxE) - Nabarun Pal & Madhav Jivrajani, Marky Jackson, Kaslin Fields
- [SIG Contributor Experience Deep Dive, Europe 2022](https://www.youtube.com/watch?v=hD6ZtmEIbEQ) - Alison Dowdney, Christoph Blecker, Bob Killen
- [SIG Contributor Experience Deep Dive, North America 2021](https://youtu.be/QOiyWWFjG5Q) - Alison Dowdney, Christoph Blecker
- [SIG Contributor Experience Deep Dive, Europe 2021](https://youtu.be/vPK3QmVOE4Y) - Bob Killen, Alison Dowdney, Christoph Blecker, Nikhita Raghunath
- [Introdution to Contributor Experience 2020](https://youtu.be/VeCMQoNHFMU) - Bob Killen, Jorge Castro 
- [Introduction to Contributor Experience 2019](https://www.youtube.com/watch?v=U1YJlgRLbKk) - Elsie Phillips, Paris Pittman
- [Contributor Experience Deep Dive 2019](https://www.youtube.com/watch?v=0d97Wna4qOs) - Christoph Blecker, Nikhita Raghunath

<!-- END CUSTOM CONTENT -->
