# 2022 Annual Report: SIG Contributor Experience

The [Contributor Experience Special Interest Group](https://groups.google.com/forum/#!forum/kubernetes-sig-contribex) (SIG) is responsible for improving the experience of those who upstream contribute to the Kubernetes project. We do this by creating and maintaining programs and processes that promote community health and reduce project friction, while retiring those programs and processes that don't. Being conscientious of our contributor base is critical to scaling the project, growing the ecosystem, and helping the project succeed.

## Current initiatives

1. What work did the SIG do this year that should be highlighted?
    - Kubernetes Contributor Summits
        - [Europe in Valencia](https://www.kubernetes.dev/events/2022/kcseu/)
        - [North America in Detroit](https://www.kubernetes.dev/events/2022/kcsna/)
    - Retired [Community meeting and Meet our Contributors](https://github.com/kubernetes/community/issues/7051)
    - [Steering Committee Elections for the 2022 cycle](https://github.com/kubernetes/community/blob/master/elections/steering/2022/README.md)
    - Leadership mentorship cohort for training new Chairs and Technical Leads for the SIG
    - Ran group mentoring cohorts for SIG Apps and CLI
    - [Launch of New Contributor Course](https://k8s.dev/course)
2. What initiatives are you working on that aren't being tracked in KEPs?
    - [Rollout of 1password](https://github.com/kubernetes/community/issues/6394)
    - Migration of groups to kubernetes.io managed groups
    - [Improved Zoom -> YouTube automation](https://github.com/kubernetes/community/issues/4175)
3. KEP work in 2022 (v1.24, v1.25, v1.26):
    - None

## Project health

1. What areas and/or subprojects does your group need the most help with?
   Any areas with 2 or fewer OWNERs? (link to more details)

    - Mentoring subproject needs a coordinator
    - Contributor site needs Hugo expertise

2. What metrics/community health stats does your group care about and/or measure?

    - [Inactive Issues](https://k8s.devstats.cncf.io/d/73/inactive-issues-by-sig?orgId=1&var-sigs=%22contributor-experience%22&from=1641016800000&to=1672466400000) - ContribEx is a service oriented SIG; most items are tracked as issues.
    - [Issues opened and closed by sig](https://k8s.devstats.cncf.io/d/39/issues-opened-closed-by-sig?orgId=1&var-period=d7&var-repo_name=kubernetes%2Fkubernetes&var-repo=kuberneteskubernetes&var-sig_name=contributor-experience&var-kind_name=All&from=1641016800000&to=1672466400000&viewPanel=3)

3. Does your [CONTRIBUTING.md] help **new** contributors engage with your group specifically by pointing
   to activities or programs that provide useful context or allow easy participation?

   - N/A

4. If your group has special training, requirements for reviewers/approvers, or processes beyond the general [contributor guide],
   does your [CONTRIBUTING.md] document those to help **existing** contributors grow throughout the [contributor ladder]?

   - N/A

5. Does the group have contributors from multiple companies/affiliations?

   - Yes - there are [25+ different organizations that participated during 2022](https://k8s.devstats.cncf.io/d/8/company-statistics-by-repository-group?orgId=1&var-period=d7&var-metric=contributions&var-repogroup_name=SIG%20Contributor%20Experience&var-repo_name=kubernetes%2Fkubernetes&var-companies=All&from=1641016800000&to=1672466400000&viewPanel=1)

6. Are there ways end users/companies can contribute that they currently are not?
   If one of those ways is more full time support, what would they work on and why?

   - SIG-ContribEx could use more help from people with project coordination experience, such as Project Managers. The [mentoring subproject](https://github.com/kubernetes/community/blob/master/mentoring/programs/group-mentoring.md) in particular is in need of a coordinator.

## Membership

- Primary slack channel member count: 2,298
- Primary mailing list member count: 411
- Primary meeting attendee count: 10
- Primary meeting participant count: 10
- Unique reviewers for SIG-owned packages: 126
- Unique approvers for SIG-owned packages: 131

Include any other ways you measure group membership

## [Subprojects](https://git.k8s.io/community/sig-contributor-experience#subprojects)

**New in 2022:**

  - [elections](https://github.com/kubernetes/community/tree/master/elections)

**Continuing:**

  - community
  - community-management
  - contributor-comms
  - contributors-documentation
  - devstats
  - events
  - github-management
  - mentoring
  - slack-infra


## [Working groups](https://git.k8s.io/community/sig-contributor-experience#working-groups)
  - N/A

## Operational

Operational tasks in [sig-governance.md]:

- [x] [README.md] reviewed for accuracy and updated if needed
- [x] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
      (or created if missing and your contributor steps and experience are different or more
      in-depth than the documentation listed in the general [contributor guide] and [devel] folder.)
- [x] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [x] SIG leaders (chairs, tech leads, and subproject owners) in [sigs.yaml] are accurate and active, and updated if needed
- [x] Meeting notes and recordings for 2022 are linked from [README.md] and updated/uploaded if needed
- [x] Did you have community-wide updates in 2022 (e.g. community meetings, kubecon, or kubernetes-dev@ emails)? Links to email, slides, or recordings:
      - Link to KubeCon talks from 2022
        - [KubeCon EU](https://www.youtube.com/watch?v=hD6ZtmEIbEQ)
        - [KubeCon NA](https://www.youtube.com/watch?v=C-k_h3vzWxE)

[CONTRIBUTING.md]: https://git.k8s.io/community/sig-contributor-experience/CONTRIBUTING.md
[contributor ladder]: https://git.k8s.io/community/community-membership.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-contributor-experience/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
[contributor guide]: https://git.k8s.io/community/contributors/guide/README.md
[devel]: https://git.k8s.io/community/contributors/devel/README.md
