placeholder - will be updated in another PR

| Data | Info |
| --- | --- |
| Title | Kubernetes Contributor Experience Survey 2019 (aka: "2019/2020" due to timing) |
| Authors | @parispittman, @cblecker, @jberkus, and many contributor experience members |
| Tool Used | SurveyMonkey |
| Start | January 6, 2020 |
| End | January 17, 2020 |
| Subject(s) | automation, community meeting, mentoring, communication, contributor demographics, events, github, general contributor experience |
| Language | English |
| Data Processing | All personal identifiers have been removed. 41 respondents left emails in the comments box that has been scrubbed. |
| Format in this folder | .csv |
| File Name | /contribex-survey-2019.csv //another PR |
| Drive URL Link | tbu |
| Announced | kubernetes-dev@googlegroups.com, various sig-meetings, community meetings, kubernetes-dev slack channel, chairs-and-techleads channels, and @kubernetesio twitter |

Some values represent a range of feelings/opinions. Check the question to find
out the descriptive range. (ex: 1=least useful, 5=most useful)

### Full Question List:
TODO: add the dropdown responses, multiple choice, etc.
1. How long have you been contributing to Kubernetes?
2. What level of the Contributor Ladder do you consider yourself to be on? (pick the highest if you are in multiple OWNERs files)
3. Are you interested in advancing to the next level of the Contributor Ladder?
4. What region of the world are you in?
5. How many other open source projects not in the Kubernetes ecosystem do you contribute to? (example: nodejs, debian)
6. Please rate any challenges to the listed steps of the contribution process  
Code/Documentation review  
Communication
GitHub tools and processes (not our customized tooling)  
Finding the right SIG for your contributions  
Our CI, labels, and crafted customized automation  
Debugging test failures  
Finding appropriate issues to work on  
Setting up development environment  
Having PRs rejected  
Writing documentation and notes  
Other (please specify)  
7. Do you agree with the following statements (1 - strongly disagree, 5 - strongly agree):  
"I understand enough about how Kubernetes CI works to be able to diagnose my own PR failures"  
"When something is broken in my PR, I can read the comments from CI and understand why"  
"The number of test failures unrelated to my PR severely impacts my ability or desire to contribute"  
"There are too many notifications to be helpful when I open a PR"  
8. Does your employer support your contributions to Kubernetes?
9. How often do you contribute upstream (code, docs, issue triage, etc.)?
10. What areas of Kubernetes do you contribute to? Please check all that apply.  
Core code inside of kubernetes/kubernetes  
Code inside of another repo in the Kubernetes GitHub Org (example: /kubernetes-sigs, - kubernetes/website, etc)  
Documentation  
Testing & Infrastructure  
Community & Project management; SIG Chair etc.    
Plugins & Drivers (CSI, CNI, cloud providers)  
Related projects (Helm, container runtimes, other CNCF projects, etc.)  
Don’t contribute yet, hoping to start soon  
Release  
Other (please specify)  
11. Are there specific ways the project could make contributing easier for you?
12. How often did you attend the weekly Thursday community meeting live? (PS - We're moving to a different cadence! Check kubernetes-dev@ mailing list for more!)
13. Which of the below would make you likely to attend more of the Community Meetings? Check all that apply.  
Nothing, I attend and think they are great  
Having a full agenda with descriptions posted several days ahead  
Eliminating the demo at the beginning  
Additional developer tips/news content  
Using the meeting to discuss project-wide development topics & roadblocks  
Fewer meetings in my personal schedule  
Different timeslot for the meeting  
Other (please specify)  
14. Some of the major projects SIG Contributor Experience is working on are listed below, rank the ones that are most important to you (and/or your SIG)
Mentoring programs for all contributor   levels/roles (https://git.k8s.io/community/community-membership.md)  
GitHub Management  
Delivering valuable contributor summits at relevant events  
Governance operations (youtube, zoom, etc.)  
Keeping our community safe on our various communication platforms   through moderation guidelines and new approaches  
Cleaning up OWNERs files  
Contributor Documentation (guide, noncode guide, developer guide, contributor site)  
15. What is missing from that list entirely that's important to you/your SIG? Why?
16. Of our various communications channels, please rate which ones you use and/or check most frequently on a 1-5 scale, where 1 is “never”, 3 is “several times a month” and 5 is “every day”.
Google Groups/Mailing Lists  
Slack  
discuss.kubernetes.io  
Zoom video conferencing/meetings  
Discussions on Github Issues and PRs  
Unofficial channels (IRC, WeChat, etc.)  
YouTube recordings (community meetings, SIG/WG meetings, etc.)  
Google Docs/Forms/Sheets, etc (meeting agendas, etc)  
17. Which of these channels is most likely to reach you first for news about decisions, changes, additions, and/or announcements to the contributor process or community matters?  
kubernetes-dev@ mailing list  
Dedicated discuss.k8s.io forum for contributors  
kubernetes-sig-contribex@ mailing list  
#kubernetes-dev, #sig-foo, #sig-contribex slack  
@kubernetesio twitter  
Kubernetes blog  
kubernetes/community repo in GitHub (Issues and/or PRs)  
Other (please specify)  
18. Do you use the Help Wanted and/or Good First Issue labels on issues you file to find contributors?
19. Have you watched or participated in an episode of our YouTube mentoring series Meet Our Contributors? If you have specific suggestions, leave them at the end of the survey.
20. Are you available to mentor other Kubernetes contributors through one or more of our many mentorship programs? (ps - our program list includes 1:1, group, and many other kinds of opportunities)
21. How many Kubernetes Contributor Summits have you attended?
22. If you haven't been able to attend a previous summit, was there a primary reason why? (if multiple, list the leading reason)
23. Do you have any comments, questions, or clarifications for your answers on this survey? Leave the general feedback here. If you leave your email, we will circle back with you:
