| Data | Info |
| --- | --- |
Title | Kubernetes SIG Docs Survey 2019
Authors | @aimeeu, @zacharysarah, @sftim with input from additional SIG Docs members (see [SIG-Docs: Documentation User Survey 2019](https://github.com/kubernetes/website/issues/15828))
Tool Used | SurveyMonkey; @aimeeu worked with the CNCF to create the survey and obtain exported results
Start | 4 September 2019
End | 7 September 2019
Langauage | English
Data Processing | This survey did not ask for personal identifiers. Respondent's IP addresses have been removed from results.
Files  |  Presentation (2019SIGDocsSurveyResultsCharts.pdf) and raw results (2019SIGDocsSurveyRaw.ods)


### Questions

1. What is your level of experience using Kubernetes?
    - Beginner
    - Experienced
    - Expert
2. How do you use Kubernetes?
    - Developer
    - Administrator
    - Developer and Administrator
    - Other (please specify)
3. How do you usually access the Kubernetes documentation site most often?
    - Phone
    - Tablet
    - Desktop
4. How long have you been using the Kubernetes documentation?
    - Less than 6 months
    - 6-12 months
    - More than 12 months
5. In which languages do you read the Kubernetes documentation?
    - German (de)
    - English (en)
    - Spanish (es)
    - French (fr)
    - Japanese (ja)
    - Korean (ko)
    - Portuguese (pt)
    - Chinese (zh)
6. Is the Kubernetes documentation the first place you look for information about Kubernetes?
    - Yes
    - No
7. How easy is it to find content using the site’s navigation (top and left)?
    - Not at all easy
    - Slightly easy
    - Moderately easy
    - Very easy
    - Extremely easy
8. How often do you use the search functionality to find content?
    - Never
    - Rarely
    - Occasionally
    - Every visit
    - Several times per visit
9. Why do you access the Kubernetes documentation? Check all that apply.
    - Installation for learning
    - Installation for production
    - Architecture
    - Concepts
    - Terminology (glossary)
    - API reference
    - kubectl CLI reference
    - Tasks (administering a cluster, configuring pods, securing Kubernetes, upgrading, etc)
    - Troubleshooting guidance
    - Tutorials
10. How often do you find what you are looking for?
    - Never
    - Rarely
    - Occasionally
    - Most visits   
    - Every visit
11. Concepts: How satisfied are you with the level of detail in the Concepts section?
    - Not at all satisfied
    - Slightly satisfied
    - Moderately satisfied
    - Very satisfied
    - Extremely satisfied
12. Concepts: How often do you find outdated content in the Concepts section?
    - Never
    - Rarely
    - Occasionally
    - Every visit
    - Several times per visit  
13. Concepts: How can we improve the Concepts section? Please select all that apply.
    - More diagrams
    - More example code
    - More detailed content
    - Other (please specify)
14. Tasks: How satisfied are you with the level of detail in the Tasks section?
    - Not at all satisfied
    - Slightly satisfied
    - Moderately satisfied
    - Very satisfied
    - Extremely satisfied
15. Tasks: How often do you find outdated content in the Tasks section?
    - Never
    - Rarely
    - Occasionally
    - Every visit
    - Several times per visit
16. Tasks: How can we improve the Tasks section?  Please select all that apply.
    - More diagrams
    - More example code
    - More detailed content
    - Other (please specify)
17. Reference: How satisfied are you with the level of detail in the Reference section?
    - Not at all satisfied
    - Slightly satisfied
    - Moderately satisfied
    - Very satisfied
    - Extremely satisfied
18. Reference: How often do you find outdated content in the Reference section?
    - Never
    - Rarely
    - Occasionally
    - Every visit
    - Several times per visit  
19. Reference: How can we improve the Reference section? Please select all that apply.
    - More example code
    - More detailed content
    - Other (please specify)
20. Tutorials: How satisfied are you with the level of detail in the Tutorials section?
    - Not at all satisfied
    - Slightly satisfied
    - Moderately satisfied
    - Very satisfied
    - Extremely satisfied
21. Tutorials: How often do you find outdated content in the Tutorials section? Please select all that apply.
    - Never
    - Rarely
    - Occasionally
    - Every visit
    - Several times per visit
22. Tutorials: How can we improve the Tutorials section?  Please select all that apply.
    - Advanced tutorials (security, networking, configuration, troubleshooting, etc)
    - Developer-oriented content
    - The availability of interactive tutorials needs to be fixed
    - Other (please specify)
23. How can we improve the Kubernetes documentation?
