# Contributing on SIG Network

Welcome!

Thank you for your interest in contributing to SIG Network. Here we cover all
things networking within and around Kubernetes clusters. This SIG covers a lot
of ground, see our [charter] and our [README.md] for more details. If you get
stuck please feel free to reach out for help in our `#sig-network` channel on
[Kubernetes Slack]!

[charter]:/sig-network/charter.md
[README.md]:/sig-network/README.md
[Kubernetes Slack]:https://kubernetes.slack.com

## For Kubernetes Code Contributions

See the [Kubernetes Contributor Guide].

[Kubernetes Contributor Guide]:https://github.com/kubernetes/community/tree/master/contributors/guide#contributor-guide

### For Enhancements

Firstly find out [if your thing is an enhancement].

Once you're sure your thing is in fact an enhancement, you can follow the
[standard Kubernetes Enhancement Proposal (KEP) procedures][kep].

> **Note**: This process can be a huge time investment and you should deeply
> consider that before you start the process. Depending on what it is, it can
> _potentially take years to achieve_.

[if your thing is an enhancemment]:https://github.com/kubernetes/enhancements/?tab=readme-ov-file#is-my-thing-an-enhancement
[kep]:https://github.com/kubernetes/enhancements/blob/master/keps/README.md

#### Important: Additional "getting started" guidance

In SIG Network we _highly_ recommend staying away from "How will this be
implemented?" at first. Instead, focus on these things first:

- **"What?"**: What is this at a high level? Without getting into implementation
  details, what does it achieve? What are the goals?
- **"Why?"**: Why do we need this? What motivates this? Is this generally
  applicable?
- **"Who?"**: Who else in the community needs this? Who can join us in making
  this KEP a success?

> **Note**: Ultimately the "Who?" is an extremely important question. If you
> have 1 or more (ideally at least 2) other community members who are on board
> and can help you move the KEP forward, this can be a tremendous boon.

Get consensus on the "What?", "Why?" and "Who?" first, avoiding discussion of
"How?" it can be done (if feasible) until there's broad consensus that we have
the appropriate goals and motivation covered to do it. Join us in the community
and discuss your ideas ahead of time!

