# 2022 Annual Report: SIG Network

## Current initiatives

1. What work did the SIG do this year that should be highlighted?

   -
   -
   -

2. What initiatives are you working on that aren't being tracked in KEPs?

   -
   -
   -



3. KEP work in 2022 (v1.24, v1.25, v1.26):
  - alpha:
    - [2091 - Add support for AdminNetworkPolicy resources](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/2091-admin-network-policy) - v1.24
    - [2438 - Dual Stack API Server](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/2438-dual-stack-apiserver) - v1.24
  - beta:
    - [2595 - Expanded DNS Configuration](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/2595-expanded-dns-config) - v1.26
  - stable:
    - [1435 - Different protocols in the same service definition with type=loadbalancer](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/1435-mixed-protocol-lb) - v1.26
    - [1672 - Tracking Terminating Endpoints in EndpointSlice](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/1672-tracking-terminating-endpoints) - v1.26
    - [1864 - Optionally Disable Node Ports for Service Type=LoadBalancer](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/1864-disable-lb-node-ports) - v1.24
    - [2079 - Allow a Network Policy to contemplate a set of ports in a single rule](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/2079-network-policy-port-range) - v1.25
    - [2086 - Service Internal Traffic Policy](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/2086-service-internal-traffic-policy) - v1.26
    - [2433 - Topology Aware Hints](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/2433-topology-aware-hints) - v1.26
    - [3070 - Reserve Service IP Range For Dynamic and Static IP Allocation](https://github.com/kubernetes/enhancements/tree/master/keps/sig-network/3070-reserved-service-ip-range) - v1.26


## Project health

1. What areas and/or subprojects does your group need the most help with?
   Any areas with 2 or fewer OWNERs? (link to more details)

   -
   -
   -

2. What metrics/community health stats does your group care about and/or measure?

   -
   -
   -

3. Does your [CONTRIBUTING.md] help **new** contributors engage with your group specifically by pointing
   to activities or programs that provide useful context or allow easy participation?

   -

4. If your group has special training, requirements for reviewers/approvers, or processes beyond the general [contributor guide],
   does your [CONTRIBUTING.md] document those to help **existing** contributors grow throughout the [contributor ladder]?

   -

5. Does the group have contributors from multiple companies/affiliations?

   -

6. Are there ways end users/companies can contribute that they currently are not?
   If one of those ways is more full time support, what would they work on and why?

   -
   -

## Membership

- Primary slack channel member count:
- Primary mailing list member count:
- Primary meeting attendee count (estimated, if needed):
- Primary meeting participant count (estimated, if needed):
- Unique reviewers for SIG-owned packages: <!-- in future, this will be generated from OWNERS files referenced from subprojects, expanded with OWNERS_ALIASES files -->
- Unique approvers for SIG-owned packages: <!-- in future, this will be generated from OWNERS files referenced from subprojects, expanded with OWNERS_ALIASES files -->

Include any other ways you measure group membership

## [Subprojects](https://git.k8s.io/community/sig-network#subprojects)



**Continuing:**

  - cluster-proportional-autoscaler
  - cluster-proportional-vertical-autoscaler
  - external-dns
  - gateway-api
  - ingress
  - iptables-wrappers
  - kpng
  - kube-dns
  - network-policy
  - pod-networking


## [Working groups](https://git.k8s.io/community/sig-network#working-groups)


**Continuing:**

 - IoT Edge
 - Multitenancy
 - Policy
 - Structured Logging

## Operational

Operational tasks in [sig-governance.md]:

- [ ] [README.md] reviewed for accuracy and updated if needed
- [ ] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
      (or created if missing and your contributor steps and experience are different or more
      in-depth than the documentation listed in the general [contributor guide] and [devel] folder.)
- [ ] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [ ] SIG leaders (chairs, tech leads, and subproject owners) in [sigs.yaml] are accurate and active, and updated if needed
- [ ] Meeting notes and recordings for 2022 are linked from [README.md] and updated/uploaded if needed
- [ ] Did you have community-wide updates in 2022 (e.g. community meetings, kubecon, or kubernetes-dev@ emails)? Links to email, slides, or recordings:
      -
      -

[CONTRIBUTING.md]: https://git.k8s.io/community/sig-network/CONTRIBUTING.md
[contributor ladder]: https://git.k8s.io/community/community-membership.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-network/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
[contributor guide]: https://git.k8s.io/community/contributors/guide/README.md
[devel]: https://git.k8s.io/community/contributors/devel/README.md
