# 2024 Annual Report: SIG UI

## Current initiatives and Project Health

1. What work did the SIG do this year that should be highlighted?

Added caching functionality to the Dashboard API. Once the cache is hydrated it significantly improves both responsiveness and memory usage of Dashboard on clusters with large amounts of resources. More information can be found in the design doc and new cache-related arguments added to the API module.

Released a couple of new versions, containing smaller updates, bug fixes and dependency updates to stay compatible with Kubernetes releases.


2. Are there any areas and/or subprojects that your group needs help with (e.g. fewer than 2 active OWNERS)?

None.

3. Did you have community-wide updates in 2024 (e.g. KubeCon talks)?

[Navigating the Future: Exploring the Latest in Kubernetes Dashboard Development - Marcin Maciaszczyk & Sebastian Florek, Plural](https://kccncna2024.sched.com/event/1hoym/navigating-the-future-exploring-the-latest-in-kubernetes-dashboard-development-marcin-maciaszczyk-sebastian-florek-plural)

Slides: https://static.sched.com/hosted_files/kccncna2024/14/Kubecon%202024%20NA.pptx.pdf

Recording: https://www.youtube.com/watch?v=7BV1QAgTCxI

4. KEP work in 2024 (v1.30, v1.31, v1.32):

None.

## [Subprojects](https://git.k8s.io/community/sig-ui#subprojects)


**Continuing:**
  - dashboard

## [Working groups](https://git.k8s.io/community/sig-ui#working-groups)


## Operational

Operational tasks in [sig-governance.md]:
- [x] [README.md] reviewed for accuracy and updated if needed
- [x] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
- [x] Other contributing docs (e.g. in devel dir or contributor guide) reviewed for accuracy and updated if needed
- [x] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [x] SIG leaders (chairs, tech leads, and subproject leads) in [sigs.yaml] are accurate and active, and updated if needed
- [x] Meeting notes and recordings for 2024 are linked from [README.md] and updated/uploaded if needed


[CONTRIBUTING.md]: https://git.k8s.io/community/sig-ui/CONTRIBUTING.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-ui/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
[devel]: https://git.k8s.io/community/contributors/devel/README.md
